package cokr.xit.fims.base.dao;

import java.util.List;
import java.util.Map;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import cokr.xit.fims.base.Backup;
import cokr.xit.foundation.component.AbstractMapper;
import cokr.xit.foundation.data.DataObject;

@Mapper("adminMapper")
public interface AdminMapper extends AbstractMapper {

	List<DataObject> selectAllList(Map<String, String> map);

	int insertOriginalData(Backup backup);

	int deleteOriginalData(Backup backup);

	int insertBackupData(Backup backup);

	int deleteBackupData(Backup backup);

	int copyTask(Map<String, Object> param);

	List<String> selectVltnList(Map<String, Object> param);

	int copyVltn(Map<String, Object> param);
}
